<?PHP

/*
 *	W-AGORA 4.2
 *	-----------
 *	$Id: register_globals.php,v 1.6 2005/06/15 19:49:25 mdruilhe Exp $
 *	Usage:		handle PHP configs that have REGISTER_GLOBALS turned off.
 */

	if (is_array($_GET)) {
		extract($_GET);
	}

	if (is_array($_POST)) {
		extract($_POST);
	}

	if (is_array($_COOKIE)) {
		extract($_COOKIE);
	}

	$QUERY_STRING = isset($_SERVER["QUERY_STRING"]) ? $_SERVER["QUERY_STRING"] : ( isset($_ENV["QUERY_STRING"]) ? $_ENV["QUERY_STRING"] : '');
	$REMOTE_ADDR = isset($_SERVER["REMOTE_ADDR"]) ? $_SERVER["REMOTE_ADDR"] : $_ENV["REMOTE_ADDR"];
	$SERVER_NAME = isset($_SERVER["SERVER_NAME"]) ? $_SERVER["SERVER_NAME"] : $_ENV["SERVER_NAME"];

?>